## org.apache.maven.shared.io.scan.mapping
Interface SourceMapping

All Known Implementing Classes:
  SingleTargetMapping, SuffixMapping

    public interface SourceMapping

Version:
  $Id: SourceMapping.java 595935 2007-11-17 11:39:34Z vsiveton $
Author:
  jdcasey

Method Summary
`java.util.Set` `getTargetFiles(java.io.File targetDir, java.lang.String source)`

Method Detail

### getTargetFiles

    java.util.Set getTargetFiles(java.io.File targetDir,
                                 java.lang.String source)
                                 throws InclusionScanException

  Throws:
    `InclusionScanException`

Copyright © 2011. All Rights Reserved.